ProductOfInertia Пример

Sub Example_ProductOfInertia()
    'Этот пример создает поле в пространстве модели.
    'Затем возвращает ProductOfInertia для того поля.
        
    Dim boxObj As Acad3DSolid
    Dim length As Double, width As Double, height As Double
    Dim center(0 To 2) As Double
    
    'Определите поле
    center(0) = 5#: center(1) = 5#: center(2) = 0
    length = 5#: width = 7: height = 10#
    
    'Создайте объект поля (3DSolid) в пространстве модели
    Set boxObj = ThisDrawing.ModelSpace.AddBox(center, length, width, height)
    
    'Измените направление рассмотрения области просмотра, чтобы лучше видеть поле
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll
    
    'Возвратите ProductOfInertia для поля
    Dim ProductOfInertia As Variant
    ProductOfInertia = boxObj.ProductOfInertia
    MsgBox "ProductOfInertia для поля " & ProductOfInertia(0) & ", " & ProductOfInertia(1) & ", " & ProductOfInertia(2), , "ProductOfInertia Пример"
        
End Sub
Сайт управляется системой uCoz